--[[local P = createMenuSheet("Dialogue Window")

function P.onLoad()
	P.createWindow()
	P.showing = true    
end
 function function_name( ... )
 	-- body
 end




function P.createWindow()
    
    local question = orxonox.DialogueManager:getInstance():getquestion()
    local default = (winMgr:createWindow("DefaultWindow"))
    default:setText(question)
    default:setProperty("UnifiedMaxSize", "{{1,0},{1,0}}")
    default:setProperty("UnifiedAreaRect", "{{0,0},{0,0},{1,0},{1,0}}")
    
    


    
end
local numOptions = DialogueManager:getnumOptions()
    local counter = 1
    local offset = 0
    --create and name buttons while there are still options
    while counter <= numOptions do
        
        
    end]]
-- Dialogue.lua

local P = createMenuSheet("Dialogue")

P.wrapper = nil
P.detailsWindows = {}
P.detailPickups = {}
P.pickupsList = {}

P.showing = false

-- Design parameters
P.imageHeight = 50
P.detailImageSize = 100
P.textHeight = 30
P.buttonWidth = 85

function P.onLoad()
	orxout("loading")
    P.wrapper = nil
    P.detailsWindows = {}
    P.detailPickups = {}
    P.pickupsList = {}
end

function P.onShow()
	orxout("showing")
    P.createInventory()
    P.showing = true
end

function P.onHide()
    P.showing = false
    P.cleanup(true)
end

function P.update()
    if P.showing == false then
        return
    end

    -- Update opened detail windows.
    

    -- Update main inventory.
    P.cleanup(false)
    P.createInventory()
    -- TODO: Recover scrolling position
    
end

function P.createInventory()
    local pickupManager = orxonox.DialogueManager:getInstance()
    
    local root = winMgr:getWindow("orxonox/Dialogue/Inventory")
    local question = orxonox.DialogueManager:getInstance():getquestion()
    root:setText(question)
    P.wrapper = winMgr:createWindow("MenuWidgets/ScrollablePane", "orxonox/Dialogue/Inventory/Wrapper")
    P.wrapper:setSize(CEGUI.UVector2(CEGUI.UDim(1,0),CEGUI.UDim(1,0)))
    root:addChildWindow(P.wrapper)
    root:addChild(answerButton)
    
   

end



function P.cleanup(destroyDetails)
    if P.wrapper ~= nil then
        winMgr:destroyWindow(P.wrapper)
    end
    
    --Destroy details windows.
    if destroyDetails == false then
        return
    end
    for k,v in pairs(P.detailsWindows) do
        if v ~= nil then
            P.destroyDetailWindow(k)
        end
    end
end



function P.InventoryBackButton_clicked(e)
    orxonox.CommandExecutor:execute("OrxonoxOverlay toggleVisibility Dialogue")
end

return P
